This commit is contained in:
Louis Abel 2023-05-22 03:32:05 -07:00
parent 73662e8a89
commit 625d67f824
Signed by: label
GPG Key ID: B37E62D143879B36
2 changed files with 24 additions and 1 deletions

View File

@ -11,7 +11,7 @@ source "$(dirname "$0")/common"
REV=${REVISION}${APPEND_TO_DIR}
cd "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
cd "${STAGING_ROOT}/${CATEGORY_STUB}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then

23
sync/vault-release.sh Normal file
View File

@ -0,0 +1,23 @@
#!/bin/bash
# Syncs everything from staging to production
if [[ "$RLREL" == "lh" ]] || [[ "$RLREL" == "beta" ]]; then
exit 1
fi
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
REV=${REVISION}
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then
TARGET="${PRODUCTION_ROOT}/${VAULT_STUB}/${REV}"
mkdir -p "${TARGET}"
rsync_no_delete_prod "${REV}" "${TARGET}"
echo "Syncing to prod completed. Please run the file list script."
fi